import 'dart:core';
import 'package:flutter/material.dart';
import 'package:pdf/pdf.dart';

class Constant {
  static const List<String> charttitle = [
    "HEART RATE",
    "STRESS",
    "RECOVERY",
    "ACTIVITY PLOT"
  ];
  static const List<String> stress = [
    "High Stress",
    "Medium Stress",
    "Low Stress",
    "No Stress",
    "Physical Activity"
  ];
  static const List<String> recovery = [
    "High Recovery",
    "Low Recovery",
    "No Recovery"
  ];
  static const List<String> activity = [
    "Intense Activity",
    "Moderate Activity",
    "Light Activity"
  ];

  static const String name = "Name";
  static const String age = "Age";
  static const String height = "Height";
  static const String weight = "Weight";
  static const String bmi = "BMI";
  static const String activityclass = "Activity Class";
  static const String restinghr = "Resting HR";
  static const String maximumhr = "Maximum HR";
  static const String sessionstartdate = "Session Start Date";
  static const String sessionstarttime = "Session Start Time";
  static const String sessionduration = "Session Duration";
  static const String hrLAH = "HR (low/avg/high)";
  static const String metadata = "METADATA";
  static const String sessiondetails = "SESSION DETAILS";
  static const String leftlabel = 'HR Value';
  static const String leftlabel_atv = 'Step Count';

  //color
  static const PdfColor basecolor = PdfColors.cyan;
  static PdfColor titlebackground = PdfColor.fromHex("#001a33");
  static const PdfColor black = PdfColors.black;
  static const PdfColor green = PdfColors.green;
  static const PdfColor yellow = PdfColors.yellow;
  static const PdfColor orange = PdfColors.orange;
  static const PdfColor red = PdfColors.red;
  static const PdfColor lightgreen = PdfColors.lightGreen500;
  static PdfColor ash = PdfColor.fromHex("#D3D3D3");
  static const PdfColor blue400 = PdfColors.blue400;
  static const PdfColor blue200 = PdfColors.blue200;
  static const PdfColor indigo = PdfColors.indigo;
}
