import 'dart:math';

import 'package:intl/intl.dart';
import 'package:pdf/pdf.dart';

class Conversion {
  var newFormat = DateFormat("jm");
  double hourstomillisecond(double hour) {
    return hour * 3600000;
  }

  String xaxisTimestampFilter(DateTime timestamp, Duration difference) {
    if (difference.inMilliseconds <= hourstomillisecond(0.5) &&
        timestamp.minute % 5 == 0) {
      String filteredTimestamp = newFormat.format(timestamp);

      return filteredTimestamp;
    } else if (difference.inMilliseconds > hourstomillisecond(0.5) &&
        difference.inMilliseconds <= hourstomillisecond(1) &&
        timestamp.minute % 10 == 0) {
      String filteredTimestamp = newFormat.format(timestamp);
      return filteredTimestamp;
    } else if (difference.inMilliseconds > hourstomillisecond(1) &&
        difference.inMilliseconds <= hourstomillisecond(2) &&
        timestamp.minute % 15 == 0) {
      String filteredTimestamp = newFormat.format(timestamp);
      return filteredTimestamp;
    } else if (difference.inMilliseconds > hourstomillisecond(2) &&
        difference.inMilliseconds <= hourstomillisecond(3) &&
        timestamp.minute % 20 == 0) {
      String filteredTimestamp = newFormat.format(timestamp);
      return filteredTimestamp;
    } else if (difference.inMilliseconds > hourstomillisecond(3) &&
        difference.inMilliseconds <= hourstomillisecond(4) &&
        timestamp.minute % 30 == 0) {
      String filteredTimestamp = newFormat.format(timestamp);
      return filteredTimestamp;
    } else if (difference.inMilliseconds > hourstomillisecond(4) &&
        difference.inMilliseconds <= hourstomillisecond(24) &&
        timestamp.minute % 60 == 0) {
      String filteredTimestamp = newFormat.format(timestamp);
      return filteredTimestamp;
    } else {
      return "";
    }
  }

  activitytoseriesdata(
      dynamic reportactivity, List<Map<String, dynamic>> seriesdata) {
    int activityStartConvert =
        DateTime.parse(reportactivity["start_time"]).millisecondsSinceEpoch;
    int activityEndConvert =
        DateTime.parse(reportactivity["end_time"]).millisecondsSinceEpoch;
    PdfColor _randomColor =
        PdfColors.primaries[Random().nextInt(PdfColors.primaries.length)];
    seriesdata.add(
        {"time": activityStartConvert, "value": 120, "color": _randomColor});
    seriesdata
        .add({"time": activityEndConvert, "value": 120, "color": _randomColor});
  }
}
